package com.usky.iot.controller.api;

import com.usky.iot.RemoteIotService;
import com.usky.iot.service.PmWorkReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;

import java.time.LocalDateTime;

/**
 * <p>
 *  数据统一查询 前端控制器
 * </p>
 *
 * @author f
 */
@RestController
public class PmTimedSendingApi implements RemoteIotService {

    @Autowired
    private PmWorkReportService pmWorkReportService;

    @Override
    public void executeTimedSendingOld() {
        LocalDateTime now = LocalDateTime.now();
        pmWorkReportService.timedSending(now);
    }

    @Override
    public void reportSubmissionReminderOld() {
        pmWorkReportService.reportSubmissionReminder();
    }

}